Subject: Re: [PATCH v6 2/2] send-email: make it easy to discern the messages for each patch

From: Dragan Simic <[email-masked]>
Date: Sat, 13 Apr 2024 08:10:33 +0200

Hello Eric,

On 2024-04-11 00:59, Eric Sunshine wrote:
> On Wed, Apr 10, 2024 at 12:28 PM Junio C Hamano <[email-masked]> 
> wrote:
>> Dragan Simic <[email-masked]> writes:
>> >     MIME-Version: 1.0
>> >     Content-Transfer-Encoding: 8bit
>> >
>> >     Send this email? ([y]es|[n]o|[e]dit|[q]uit|[a]ll): y
>> >
>> >     OK. Log says:
>> >     Server: smtp.example.com
>> 
>> This is obviously in the realm of subjective preference, but I find
>> that the prompt line is distinct enough among all other output that
>> we do not need an extra blank line to locate them.
>> 
>> I'll let others comment as the "blank around prompt" smells quite
>> subjective and do not want to be the sole reviewer on it.
> 
> For what it's worth, I had the same reaction about the extra blank
> line related to the prompt being unnecessary, but I didn't feel
> strongly enough to say anything about it, and I still don't feel
> strongly enough to suggest dropping this change.

Basically, I went with a rather simple reasoning:  the confirmation
prompts, just like the SMTP statuses, aren't part of the emitted SMTP
traces and patch descriptions.  As such, separating the prompts with
vertical whitespace is actually consistent, and should help with the
overall readability, by taking the prompts visually out of the other
produced messages.